---
title: WorkerLocation
slug: Web/API/WorkerLocation
tags:
  - API
  - Web Workers
---
<div>{{APIRef("Web Workers API")}}</div>

<p>The <strong><code>WorkerLocation</code></strong> interface defines the absolute location of the script executed by the {{domxref("Worker")}}. Such an object is initialized for each worker and is available via the {{domxref("WorkerGlobalScope.location")}} property obtained by calling <code>self.location</code>.</p>

<p>This interface is only visible from inside a JavaScript script executed in the context of a Web worker.</p>

<h2 id="Properties">Properties</h2>

<p><em>The <code>WorkerLocation</code> interface doesn't inherit any property, but implements properties defined in the {{domxref("URLUtilsReadOnly")}} interface.</em></p>

<dl>
 <dt>{{domxref("URLUtilsReadOnly.href")}} {{readOnlyInline}}</dt>
 <dd>Is a stringifier that returns a {{domxref("DOMString")}} containing the whole URL of the script executed in the {{domxref("Worker")}}.</dd>
 <dt>{{domxref("URLUtilsReadOnly.protocol")}} {{readOnlyInline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing the protocol scheme of the URL of the script executed in the {{domxref("Worker")}}, including the final <code>':'</code>.</dd>
 <dt>{{domxref("URLUtilsReadOnly.host")}} {{readOnlyInline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing the host, that is the <em>hostname</em>, a <code>':'</code>, and the <em>port</em> of the URL of the script executed in the {{domxref("Worker")}}.</dd>
 <dt>{{domxref("URLUtilsReadOnly.hostname")}} {{readOnlyInline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing the domain of the URL of the script executed in the {{domxref("Worker")}}.</dd>
 <dt>{{domxref("URLUtilsReadOnly.origin")}} {{readOnlyInline}}</dt>
 <dd>Returns a {{domxref("DOMString")}} containing the canonical form of the origin of the specific location.</dd>
 <dt>{{domxref("URLUtilsReadOnly.port")}} {{readOnlyInline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing the port number of the URL of the script executed in the {{domxref("Worker")}}.</dd>
 <dt>{{domxref("URLUtilsReadOnly.pathname")}} {{readOnlyInline}}</dt>
 <dd>Is a {{domxref("USVString")}} containing an initial <code>'/'</code> followed by the path of the URL (not including the query string or fragment) of the script executed in the {{domxref("Worker")}}.</dd>
 <dt>{{domxref("URLUtilsReadOnly.search")}} {{readOnlyInline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing a <code>'?'</code> followed by the parameters of the URL of the script executed in the {{domxref("Worker")}}.</dd>
 <dt>{{domxref("URLUtilsReadOnly.hash")}} {{readOnlyInline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing a <code>'#'</code> followed by the fragment identifier of the URL of the script executed in the {{domxref("Worker")}}.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>The <code>WorkerLocation</code> interface doesn't inherit any method, but implements methods defined in the {{domxref("URLUtilsReadOnly")}} interface.</em></p>

<dl>
 <dt>{{domxref("URLUtilsReadOnly.toString()")}}</dt>
 <dd>Returns a {{domxref("DOMString")}} containing the whole URL of the script executed in the {{domxref("Worker")}}. It is a synonym for {{domxref("URLUtilsReadOnly.href")}}.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#workerlocation', 'WorkerLocation')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WorkerLocation")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Other Worker-related interfaces: {{domxref("Worker")}}, {{domxref("WorkerNavigator")}}, and {{domxref("WorkerGlobalScope")}}.</li>
 <li><a href="/en-US/docs/Web/Guide/Performance/Using_web_workers">Using web workers</a></li>
</ul>
